Summary: An interpreted, interactive, object-oriented programming language.
Name:  python2
Version: 2.1.1
Release: 2
License: PSF - see LICENSE
Group: Development/Languages
Source: Python-%{version}.tar.bz2
Patch0: python-2.1-config.patch
Patch1: python-2.1-buildroot.patch
#Patch0: python-2.0-Setup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: readline-devel, libtermcap-devel, openssl-devel, gmp-devel
BuildPrereq: Mesa-devel, ncurses-devel, gdbm-devel, zlib-devel, expat-devel, tk, tix
URL: http://www.python.com/

%description
Python is an interpreted, interactive, object-oriented programming
language. It incorporates modules, exceptions, dynamic typing, very
high level dynamic data types, and classes. Python combines remarkable
power with very clear syntax. It has interfaces to many system calls
and libraries, as well as to various window systems, and is extensible
in C or C++. It is also usable as an extension language for
applications that need a programmable interface. Finally, Python is
portable: it runs on many brands of UNIX, on PCs under Windows,
MS-DOS, and OS/2, and on the Mac.

%package devel
Summary: Development files for Python 2.
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description devel
The python2-devel package contains tools needed to build Python
modules in other languages such as C and C++.

%prep
%setup -q -n Python-%{version}
%patch0 -p1
%patch1 -p1

#setup -q -D -T -a 1 -n Python-%{version} -q
# This command drops the HTML files in the top-level build directory.
# That's not perfect, but it will do for now.

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
OPT="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure
make OPT="$RPM_OPT_FLAGS -D_GNU_SOURCE"
Tools/scripts/pathfix.py -i "/usr/bin/env python2.1" .
make

%install
[ -d $RPM_BUILD_ROOT ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT%{_mandir}

%makeinstall MANDIR=$RPM_BUILD_ROOT/%{_mandir} DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT//usr/bin/python $RPM_BUILD_ROOT//usr/bin/python2
mv $RPM_BUILD_ROOT/%{_mandir}/man1/python.1 $RPM_BUILD_ROOT/%{_mandir}/man1/python2.1

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/*
%{_mandir}/*/*


%doc LICENSE README Misc/BLURB.* Misc/ACKS Misc/unicode.txt Misc/cheatsheet
%doc Misc/HISTORY Misc/HYPE Misc/NEWS Misc/comparisons Misc/RFD

# Misc/README Misc/HYPE Misc/cheatsheet Misc/unicode.txt Misc/Porting
#doc LICENSE Misc/ACKS Misc/BLURB.* Misc/HISTORY Misc/NEWS
#doc index.html modindex.html api dist doc ext inst lib mac ref tut icons

%dir /usr/lib/python2.1
/usr/lib/python2.1/*.py*
/usr/lib/python2.1/*.doc
/usr/lib/python2.1/curses
/usr/lib/python2.1/distutils
/usr/lib/python2.1/encodings
/usr/lib/python2.1/lib-dynload
/usr/lib/python2.1/lib-old
/usr/lib/python2.1/lib-tk
/usr/lib/python2.1/plat-linux2 
/usr/lib/python2.1/site-packages
/usr/lib/python2.1/xml

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/python2.1/config

%changelog
* Mon Aug 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add tk and tix to build dependices

* Sat Jul 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.1 bugfix release - with a GPL compatible license

* Fri Jul 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add new build dependencies (#49753)

* Tue Jun 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- build with -fPIC

* Fri Jun  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1
- reorganization of file includes

* Wed Dec 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. Lwis)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.
